设置zookeeper php扩展以安装kafka-php时出错

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (224)

我在安装时遇到问题kafka-php。zookeeper php扩展是我需要管理集群的依赖项。

我正在按照这些说明进行操作./configure后遇到此错误phpize

configure:error:在“/ usr / share / zookeeper”下找不到zookeeper头文件

我已经验证路径存在,我也尝试安装via pecl。这也给出了同样的错误(扩展的其他版本)。

我该如何解决这个问题?

提问于
用户回答回答于
用户回答回答于

通常zookeeper头文件在/ usr / include / zookeeper上,所以我的东西 / usr / 很好,因为它显示在下面。

要启用zookeeper支持,请使用--with-libzookeeper-dir = DIR进行配置。DIR是ZooKeeper C Binding的安装前缀,必须包含include / zookeeper / zookeeper.h

http://php.net/manual/en/zookeeper.installation.php

扫码关注云+社区

领取腾讯云代金券